#### D.12.1.7 powerpolyX

Procedure from library `aksaka.lib` (see aksaka_lib).

Usage:
  powerpolyX(q,n,a,r);

Return:
  the q-th power of poly a modulo poly r and number n

Example:

    LIB "aksaka.lib";
    ring R=0,x,dp;
    poly a=3*x3-x2+5;
    poly r=x7-1;
    bigint q=123;
    bigint n=5;
    powerpolyX(q,n,a,r);
    ==> 3x5+2x4+x3+x2+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.